[proaudio] [2172] non-sequencer-9999: complete rewrite of the ebuild

[ Thread Index | Date Index | More lists.tuxfamily.org/proaudio Archives ]


Revision: 2172
Author:   dominique
Date:     2012-07-21 07:49:20 +0200 (Sat, 21 Jul 2012)
Log Message:
-----------
non-sequencer-9999: complete rewrite of the ebuild

Modified Paths:
--------------
    trunk/overlays/proaudio/media-sound/non-sequencer/ChangeLog
    trunk/overlays/proaudio/media-sound/non-sequencer/non-sequencer-9999.ebuild

Modified: trunk/overlays/proaudio/media-sound/non-sequencer/ChangeLog
===================================================================
--- trunk/overlays/proaudio/media-sound/non-sequencer/ChangeLog	2012-07-17 17:12:35 UTC (rev 2171)
+++ trunk/overlays/proaudio/media-sound/non-sequencer/ChangeLog	2012-07-21 05:49:20 UTC (rev 2172)
@@ -2,6 +2,11 @@
 # Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
 # $Header: $
 
+  21 Jul 2012; Dominique Michel <dominique@xxxxxxxxxxxxx>
+  non-sequencer-9999.ebuild:
+  A lot changed with the build system, so this is a new
+  ebuild from the scratch.
+
   21 Apr 2010; Gavin Pryke <gavinlee303@xxxxxxxxxxxxxx>
   non-sequencer-9999.ebuild:
   update call to configure as it is a custom shell script. dependency tweak.

Modified: trunk/overlays/proaudio/media-sound/non-sequencer/non-sequencer-9999.ebuild
===================================================================
--- trunk/overlays/proaudio/media-sound/non-sequencer/non-sequencer-9999.ebuild	2012-07-17 17:12:35 UTC (rev 2171)
+++ trunk/overlays/proaudio/media-sound/non-sequencer/non-sequencer-9999.ebuild	2012-07-21 05:49:20 UTC (rev 2172)
@@ -1,39 +1,40 @@
-# Copyright 1999-2010 Gentoo Foundation
+# Copyright 1999-2012 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: $
+# $Header: /var/cvsroot/gentoo-x86/media-sound/bristol/bristol-0.60.10.ebuild,v 1.1 2012/06/30 05:54:41 radhermit Exp $
 
-EAPI=1
+EAPI="4"
 
-inherit git eutils
+inherit git-2
 
-DESCRIPTION="The Non Sequencer is a powerful real-time, pattern-based MIDI sequencer for Linux."
-HOMEPAGE="http://non-sequencer.tuxfamily.org/";
+DESCRIPTION="Realtime MIDI sequencer for JACK MIDI"
+HOMEPAGE="http://non-mixer.tuxfamily.org";
 EGIT_REPO_URI="git://git.tuxfamily.org/gitroot/non/sequencer.git"
+
 LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS=""
-IUSE="lash"
+IUSE="-debug"
+RESTRICT="interactive"
 
-DEPEND=">=x11-libs/fltk-1.1.2:1.1
-	>=dev-libs/libsigc++-2.0
-	>=media-sound/jack-audio-connection-kit-0.103
-	lash? ( >=media-sound/lash-0.5.4 )"
-RDEPEND="${DEPEND}"
+RDEPEND=">=media-sound/jack-audio-connection-kit-0.103.0
+	>=media-libs/liblrdf-0.1.0
+	>=media-libs/liblo-0.26
+	>=dev-libs/libsigc++-2.2.0
+	>=x11-libs/fltk-1.1.7:1"
+DEPEND="${RDEPEND}"
 
-src_unpack(){
-	git_src_unpack || die "git clone failed."
-	cd "${S}"
-	# don't strip the binary
-	sed -i -e '/strip/d' "${S}/Makefile" || die "sed of Makefile failed"
+src_configure() {
+	local my_conf=""
+	if use debug; then
+		my_conf="--enable-debug"
+	fi
+	econf --prefix=/usr ${my_conf} || die "econf failed"
 }
 
 src_compile() {
-	# configure is a hand written shell script, thus econf will not work
-	./configure --prefix=/usr $(use_enable lash) || die "configure failed"
-	emake || die "emake failed"
+	make || die "make failed"
 }
 
 src_install() {
-	emake DESTDIR="${D}" install || die "install failed"
-	fowners root:audio  "${ROOT}"/usr/bin/non-sequencer || die "chown failed"
+	einstall DESTDIR=${D} prefix=/usr || die "install failed"
 }


Mail converted by MHonArc 2.6.19+ http://listengine.tuxfamily.org/